cURL
curl --request PATCH \ --url http://127.0.0.1:8080/api/v1/meter-readings/{meter_reading_id} \ --header 'Content-Type: application/json' \ --data ' { "period": "<string>", "electricity_previous": 123, "electricity_current": 123, "water_previous": 123, "water_current": 123 } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "period": "<string>", "recorded_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "electricity_previous": 123, "electricity_current": 123, "water_previous": 123, "water_current": 123, "recorded_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
Meter reading ID
Updated meter reading